Subject: Re: bug#5386: 23.1.91;

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 15 Jan 2010 10:13:31 -0800 (PST)

Chong Yidong <[email-masked]> writes:

  > Dan Nicolaescu <[email-masked]> writes:
  > 
  > > Given that we get this bug report all the time, how about adding a
  > > printf when using --daemon when using the Gtk toolkit that describes
  > > the problem, and gives a pointer to the bug report?  This will make
  > > people aware something might happen at the time they start emacs
  > > --daemon.
  > 
  > But the user may only want to use terminal clients.

That is fine, it's just a warning.
And it has the added benefit that users are aware of what might go on,
and it also adds a bit of pressure on the Gtk people to fix the bug.

  > Another idea for a workaround---assuming a GTK frame has been created,
  > maybe we could use the X session code (emacs-save-session-functions) to
  > kill Emacs when the X session ends.  Opinions?  (Admittedly this won't
  > cover all use cases, and is a bit of a hack, but it's something...)

That would be very bad: most of the time the session works just fine
using emacsclient -t.  Losing state in that case would be very bad.